searchNodes=[{"doc":"NxColor implements diffenret colorspaces in Using Nx tensors. This module helps you to load image data and convert it to different colorspaces.","ref":"NxColor.html","title":"NxColor","type":"module"},{"doc":"Changes the colorspace of a given NxColor.Image struct to the target_colorspace . Parameters image: an NxColor.Image struct. target_colorspace: Module of the colorspace you want to convert your image colorspace into. opts: Colorspace specific options. See target colorspace module documentation for more info.","ref":"NxColor.html#change_colorspace/3","title":"NxColor.change_colorspace/3","type":"function"},{"doc":"Creates a NxColor.Image struct from an Nx tensor. Parameters tensor: The input image or images. opts: Options keyword list. channel: Determines in which dimention the color channel is in the given tensor. Can be either :last or :first . Defaults to :last Note that :first means first dimension in each image. colorspace: In which colorspace is the current image. Defaults to: NxColor.Colorspace.RGB Examples iex&gt; NxColor . from_nx ( Nx . tensor ( [ [ [ 255 , 255 , 255 ] ] ] ) ) # NxColor.Image &lt; Elixir.NxColor.Colorspace.RGB &gt;","ref":"NxColor.html#from_nx/2","title":"NxColor.from_nx/2","type":"function"},{"doc":"Returns the tensor from an NxColor.Image struct. Parameters image: an NxColor.Image struct. opts: Options keyword list. channel: Determines in which dimension the color channel should be in the output tensor. Can be either :first or :last . Defaults to :last Note that :first means first dimension in each image.","ref":"NxColor.html#to_nx/2","title":"NxColor.to_nx/2","type":"function"},{"doc":"Constants used for conversions","ref":"NxColor.Constant.html","title":"NxColor.Constant","type":"module"},{"doc":"Returns the reference constants for an illuminant in a given mode Available modes &quot;cie1931&quot;: 2° (CIE 1931) &quot;cie1964&quot;: 10° (CIE 1964) Available illuminants &quot;a&quot;: Incandescent/tungsten &quot;b&quot;: Old direct sunlight at noon &quot;c&quot;: Old daylight &quot;d50&quot;: ICC profile PCS &quot;d55&quot;: Mid-morning daylight &quot;d65&quot;: Daylight, sRGB, Adobe-RGB &quot;d75&quot;: North sky daylight &quot;e&quot;: Equal energy &quot;f1&quot;: Daylight Fluorescent &quot;f2&quot;: Cool fluorescent &quot;f3&quot;: White Fluorescent &quot;f4&quot;: Warm White Fluorescent &quot;f5&quot;: Daylight Fluorescent &quot;f6&quot;: Lite White Fluorescent &quot;f7&quot;: Daylight fluorescent, D65 simulator &quot;f8&quot;: Sylvania F40, D50 simulator &quot;f9&quot;: Cool White Fluorescent &quot;f10&quot;: Ultralume 50, Philips TL85 &quot;f11&quot;: Ultralume 40, Philips TL84 &quot;f12&quot;: Ultralume 30, Philips TL83","ref":"NxColor.Constant.html#illuminant_reference/2","title":"NxColor.Constant.illuminant_reference/2","type":"function"},{"doc":"","ref":"NxColor.Constant.html#lab_threshold/0","title":"NxColor.Constant.lab_threshold/0","type":"function"},{"doc":"","ref":"NxColor.Constant.html#pi/0","title":"NxColor.Constant.pi/0","type":"function"},{"doc":"","ref":"NxColor.Constant.html#rgb_to_xyz_constants/0","title":"NxColor.Constant.rgb_to_xyz_constants/0","type":"function"},{"doc":"","ref":"NxColor.Constant.html#rgb_xyz_threshold/0","title":"NxColor.Constant.rgb_xyz_threshold/0","type":"function"},{"doc":"","ref":"NxColor.Constant.html#xyz_rgb_threshold/0","title":"NxColor.Constant.xyz_rgb_threshold/0","type":"function"},{"doc":"Image struct which holds the data for the images","ref":"NxColor.Image.html","title":"NxColor.Image","type":"module"},{"doc":"Creates a new NxColor Image struct from a tensor and a colorspace","ref":"NxColor.Image.html#new/2","title":"NxColor.Image.new/2","type":"function"},{"doc":"","ref":"NxColor.Image.html#t:t/0","title":"NxColor.Image.t/0","type":"type"},{"doc":"Colorspace conversion router","ref":"NxColor.Router.html","title":"NxColor.Router","type":"module"},{"doc":"Returns the route path to convert a colorspace to another","ref":"NxColor.Router.html#get_route/2","title":"NxColor.Router.get_route/2","type":"function"},{"doc":"Adobe RGB Colorspace","ref":"NxColor.Colorspace.AdobeRGB.html","title":"NxColor.Colorspace.AdobeRGB","type":"module"},{"doc":"CIE L*CH° Colorspace","ref":"NxColor.Colorspace.CIE.LCH.html","title":"NxColor.Colorspace.CIE.LCH","type":"module"},{"doc":"CIE L a b Colorspace","ref":"NxColor.Colorspace.CIE.Lab.html","title":"NxColor.Colorspace.CIE.Lab","type":"module"},{"doc":"CMY Colorspace","ref":"NxColor.Colorspace.CMY.html","title":"NxColor.Colorspace.CMY","type":"module"},{"doc":"CMYK Colorspace","ref":"NxColor.Colorspace.CMYK.html","title":"NxColor.Colorspace.CMYK","type":"module"},{"doc":"RGB Colorspace","ref":"NxColor.Colorspace.RGB.html","title":"NxColor.Colorspace.RGB","type":"module"},{"doc":"XYZ Colorspace","ref":"NxColor.Colorspace.XYZ.html","title":"NxColor.Colorspace.XYZ","type":"module"},{"doc":"Yxz Colorspace","ref":"NxColor.Colorspace.Yxy.html","title":"NxColor.Colorspace.Yxy","type":"module"},{"doc":"Colorspace conversion in Elixir Nx. With NxColor you can convert images (to be precise, pixels) between various colorspaces like RGB, CMYK or CIE-Lab. Since this is implemented using Elixir Nx, It should be really fast.","ref":"readme.html","title":"NxColor","type":"extras"},{"doc":"NxColor can be installed by adding nx_color to your list of dependencies in mix.exs : def deps do [ { :nx_color , &quot;~&gt; 0.0.0-dev&quot; } ] end","ref":"readme.html#installation","title":"NxColor - Installation","type":"extras"},{"doc":"Using libraries like stb_image or using an already loaded image or images in an Nx.Tensor, You can import them into NxColor using the NxColor.from_nx function. stb_image = StbImage . read_file! ( &quot;image.jpg&quot; ) image = stb_image |&gt; StbImage . to_nx ( ) |&gt; NxColor . from_nx ( colorspace : NxColor.Colorspace.RGB , channel : :last ) Then you can use NxColor.change_colorspace to actually convert the colorspace of the image. You can see the list of all available colorspaces in the documentation . image = NxColor . change_colorspace ( image , NxColor.Colorspace.CMYK ) After you are done with the conversions, You can convert your image back to an Nx tensor. tensor = NxColor . to_nx ( image , channel : :last ) The channel option Usually there are two ways of representing images in tensors. Let's say we have a 32 x 32 image in the RGB colorspace. Each pixel in that colorspace is represented by 3 different number. R ed G reen and B lue. The first way is if we encode the colors (the channel) as the first dimension in each image. So the shape for our image tensor would be: {3, 32, 32} The second way is if we encode the colors (the channel) as the last dimension in each image. So the shape of our image tensor in this case would be: {32, 32, 3} In NxColor you can choose between these two based on you input data and also your use-case. Simply set the channel option in NxColor.from_nx and NxColor.to_nx either to :first or :last .","ref":"readme.html#usage","title":"NxColor - Usage","type":"extras"}]